PDA

View Full Version : utube videos



linix
17th August 2008, 11:11 PM
Hi,

Some while back after a update i could no longer play utube videos, i am using fedora 8 32bit on a amd 64bit comp. It used to work and i have left it for quite a while as i thought it would be fixed in a update.

I have also very recently lost the nvidia splash screen although i am telling you that for reference only as it dosent seem to make much difference for my use, and so i don't care about that.

I would just like to be able to watch utube videos again, I am not familar with the command line and will need precise instructions on diagnosing the fault and gathering the information for such a task.

To reiterate the point above i will be happy, and gain some enjoyment from sorting this issue out but i stand here as evidence that even a numpty can install and use a linux os.

I am tripple booting with two drives, i select which drive i want in the bios on boot-up. One is a sata with winxp/fedora 8 and the other is win2k, an expendable offering.

The xp is for games as i am a wine incompetent and had to buy a oem in the end.

I assembled the pc from new bits, and have put others together from 2nd parts.

Save me babbling forever, if you would like to help me please do as i am not sure what you need to know to help me.


cheers nick

f7boot
21st August 2008, 02:05 PM
Nick,

I think what probably happened was you updated Firefox and the plugin was not transfered to your new firefox folder. I usually stick my plugins in /usr/lib/mozilla/plugins/

I believe utube uses the flash plugin...

Try
[tclark@inet3 ~]$ ls /usr/lib/mozilla/plugins/
libflashplayer.so libjavaplugin_oji.so nppdf.so

If libflashplayer.so is not listed then try
[tclark@inet3 ~]$ ls /usr/lib/flash-plugin/
homecleanup LICENSE setup
libflashplayer.so README

I am assuming since it worked before that this plugin is there so the next step would be...
[tclark@inet3 ~]$ ln -s /usr/lib/flash-plugin/libflashplayer.so /usr/lib/mozilla/plugins/libflashplayer.so

Test it out and see if it works

linix
22nd August 2008, 11:38 AM
Hi f7boot,

Thanks for your reply, i run the commands. I made a mistake and swapped lines when reading so did the 2nd 0ne first.

It seems as though i have flash installed still and many other media plugins!

[linix@localhost ~]$ ls /usr/lib/flash-plugin/
homecleanup libflashplayer.so LICENSE README setup
[linix@localhost ~]$ ls /usr/lib/mozilla/plugins/
gecko-mediaplayer-dvx.so gecko-mediaplayer-rm.xpt libflashplayer.so
gecko-mediaplayer-dvx.xpt gecko-mediaplayer.so libgnashplugin.so
gecko-mediaplayer-qt.so gecko-mediaplayer-wmp.so libjavaplugin.so
gecko-mediaplayer-qt.xpt gecko-mediaplayer-wmp.xpt libswfdecmozilla.so
gecko-mediaplayer-rm.so gecko-mediaplayer.xpt
[linix@localhost ~]$

There are three different colours of the text. It probably means something to do with the directory structure if i remember corectly, flash, java are blue, gnash open source flash is green as are others that are not black.

Yes utube is flash, was 9 last i knew as i had a big struggle with f6 and leigh helped me out a long time back.

I am guessing that your last command is to move flash to the mozilla directory so i have not as it looks as if it is there. Mabye it is broken? How could i verifi or uninstall re-install.

cheers nick

f7boot
5th September 2008, 04:55 PM
Make sure it is also listed under your latest firefox plugins directory...

[tclark@inet3 ~]$ ls -l /usr/lib/firefox-2.0.0.16/plugins/
total 44
lrwxrwxrwx 1 root root 39 2008-08-15 14:42 libflashplayer.so -> /usr/lib/flash-plugin/libflashplayer.so

If it is red then the link is not good.

f7boot
5th September 2008, 05:05 PM
If that is there try this...

yum -y install nspluginwrapper

nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so

linix
6th September 2008, 02:57 PM
Hi f7boot,

I have run the cmd here is the output;

[linix@localhost ~]$ ls -l /usr/lib/firefox-2.0.0.16/plugins/
total 44
lrwxrwxrwx 1 root root 39 2008-07-20 00:23 libflashplayer.so -> /usr/lib/flash-plugin/libflashplayer.so
-rwxr-xr-x 1 root root 18556 2008-07-16 00:58 libnullplugin.so
-rwxr-xr-x 1 root root 11260 2008-07-16 00:58 libunixprintplugin.so
[linix@localhost ~]$


No red just blue and green.

libflashplayer.so = blue

/usr/lib/flash-plugin/libflashplayer.so
libnullplugin.so
libunixprintplugin.so = All green

The rest is black.

I wiil now run the other cmnds

Thankyou, cheers nick.

linix
6th September 2008, 03:54 PM
Hi,

Here is the output;

[linix@localhost ~]$ yum -y install nspluginwrapper
You need to be root to perform this command.
[linix@localhost ~]$ su
Password:
[root@localhost linix]# yum -y install flash-plugin
updates-source | 2.1 kB 00:00
livna | 2.1 kB 00:00
updates-testing-source | 2.1 kB 00:00
fedora | 2.1 kB 00:00
development-source | 1.9 kB 00:00
adobe-linux-i386 | 951 B 00:00
livna-development-source | 1.9 kB 00:00
updates | 2.3 kB 00:00
livna-source | 1.9 kB 00:00
fedora-source | 2.1 kB 00:00
Setting up Install Process
Parsing package install arguments
Package flash-plugin - 9.0.124.0-release.i386 is already installed.
Nothing to do
[root@localhost linix]#

aghem, I recently took a punt at enabling some other repositioies, while trying not to cause conflict with each other. I thought it might have stopped due to the proprietry nature of flash.

I have not run the final cmnd as i think -i is install, ie the second part of the first cmnd, (download/install).

cheers nick

I have been reading about nspluginwrapper and just noticed that i ran the wrong cmnd, i was using the curser keys to recall the cmnd and saw yum install.

I am running a i386 32x os on a 64x amd. As far as i have read so far it seems that nsplugin is for running 32x app on a 64x os?

cheers nick

linix
6th September 2008, 06:06 PM
Hi,

I tryed the commands any way;

[linix@localhost ~]$ su
Password:
[root@localhost linix]# yum -y install nspluginwrapper
updates-source | 2.1 kB 00:00
livna | 2.1 kB 00:00
updates-testing-source | 2.1 kB 00:00
fedora | 2.1 kB 00:00
development-source | 1.9 kB 00:00
adobe-linux-i386 | 951 B 00:00
livna-development-source | 1.9 kB 00:00
updates | 2.3 kB 00:00
livna-source | 1.9 kB 00:00
fedora-source | 2.1 kB 00:00
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package nspluginwrapper.i386 0:0.9.91.5-18.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ===========================
Package Arch Version Repository Size
================================================== ===========================
Installing:
nspluginwrapper i386 0.9.91.5-18.fc8 updates 130 k

Transaction Summary
================================================== ===========================
Install 1 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 130 k
Downloading Packages:
(1/1): nspluginwrapper-0.9.91.5-18.fc8.i386.rpm | 130 kB 00:00
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Installing: nspluginwrapper ######################### [1/1]

Installed: nspluginwrapper.i386 0:0.9.91.5-18.fc8
Complete!
[root@localhost linix]# nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so

bash: nspluginwrapper: command not found

What do you think? is it the arch.

cheers nick

f7boot
2nd November 2008, 04:30 AM
Sorry it has been awhile. If you haven't fixed it yet try this:

mozilla-plugin-config -i -g -v

Then restart firesox to see if it works. Otherwise I would suggest looking at this link:
http://forums.fedoraforum.org/showthread.php?t=202535&highlight=flash&page=2

linix
7th November 2008, 06:16 PM
hi,

run the command,

linix@localhost ~]$ su
Password:
[root@localhost linix]# mozilla-plugin-config -i -g -v
INFO: /usr/lib/nspluginwrapper/npviewer looks ok.
INFO: /usr/lib64/nspluginwrapper/npviewer isn't accessible.
INFO: Processing /usr/lib/mozilla/plugins -> /usr/lib/mozilla/plugins-wrapped
INFO: Linking /usr/lib/mozilla/plugins/libjavaplugin.so to /usr/lib/mozilla/plug
ins-wrapped/libjavaplugin.so...
WARNING: Failed.
INFO: Wrapping /usr/lib/mozilla/plugins/libflashplayer.so to /usr/lib/mozilla/pl
ugins-wrapped/nswrapper_32_32.libflashplayer.so...
INFO: INFO: Linking /usr/lib/mozilla/plugins/libflashplayer.so to /usr/lib/mozil
la/plugins-wrapped/libflashplayer.so...
INFO: Linking /usr/lib/mozilla/plugins/gecko-mediaplayer-rm.xpt to /usr/lib/mozi
lla/plugins-wrapped/gecko-mediaplayer-rm.xpt...
WARNING: Failed.
INFO: Linking /usr/lib/mozilla/plugins/gecko-mediaplayer-dvx.xpt to /usr/lib/moz
illa/plugins-wrapped/gecko-mediaplayer-dvx.xpt...
WARNING: Failed.
INFO: Linking /usr/lib/mozilla/plugins/gecko-mediaplayer-qt.xpt to /usr/lib/mozi
lla/plugins-wrapped/gecko-mediaplayer-qt.xpt...
WARNING: Failed.
INFO: Linking /usr/lib/mozilla/plugins/gecko-mediaplayer-rm.so to /usr/lib/mozil
la/plugins-wrapped/gecko-mediaplayer-rm.so...
WARNING: Failed.
INFO: Linking /usr/lib/mozilla/plugins/gecko-mediaplayer-qt.so to /usr/lib/mozil
la/plugins-wrapped/gecko-mediaplayer-qt.so...
WARNING: Failed.
INFO: Linking /usr/lib/mozilla/plugins/gecko-mediaplayer.xpt to /usr/lib/mozilla
/plugins-wrapped/gecko-mediaplayer.xpt...
WARNING: Failed.
INFO: Linking /usr/lib/mozilla/plugins/gecko-mediaplayer-dvx.so to /usr/lib/mozi
lla/plugins-wrapped/gecko-mediaplayer-dvx.so...
WARNING: Failed.
INFO: Linking /usr/lib/mozilla/plugins/gecko-mediaplayer-wmp.xpt to /usr/lib/moz
illa/plugins-wrapped/gecko-mediaplayer-wmp.xpt...
WARNING: Failed.
INFO: Wrapping /usr/lib/mozilla/plugins/libgnashplugin.so to /usr/lib/mozilla/pl
ugins-wrapped/nswrapper_32_32.libgnashplugin.so...
INFO: INFO: Linking /usr/lib/mozilla/plugins/libgnashplugin.so to /usr/lib/mozil
la/plugins-wrapped/libgnashplugin.so...
INFO: Wrapping /usr/lib/mozilla/plugins/libswfdecmozilla.so to /usr/lib/mozilla/
plugins-wrapped/nswrapper_32_32.libswfdecmozilla.so...
INFO: INFO: Linking /usr/lib/mozilla/plugins/libswfdecmozilla.so to /usr/lib/moz
illa/plugins-wrapped/libswfdecmozilla.so...
INFO: Linking /usr/lib/mozilla/plugins/gecko-mediaplayer.so to /usr/lib/mozilla/
plugins-wrapped/gecko-mediaplayer.so...
WARNING: Failed.
INFO: Linking /usr/lib/mozilla/plugins/gecko-mediaplayer-wmp.so to /usr/lib/mozi
lla/plugins-wrapped/gecko-mediaplayer-wmp.so...
WARNING: Failed.
INFO: Processing /usr/lib64/mozilla/plugins -> /usr/lib64/mozilla/plugins-wrappe
d
WARNING: I can't open dir /usr/lib64/mozilla/plugins-wrapped
INFO: Processing /usr/lib/mozilla/plugins -> /usr/lib64/mozilla/plugins-wrapped
INFO: Processing /usr/lib/mozilla/plugins <- /usr/lib/mozilla/plugins-wrapped
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/libjavaplugi
n.so...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/libflashplay
er.so...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/gecko-mediap
layer-rm.xpt...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/gecko-mediap
layer-dvx.xpt...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/gecko-mediap
layer-qt.xpt...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/gecko-mediap
layer-rm.so...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/nswrapper_32
_32.libgnashplugin.so...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/gecko-mediap
layer-qt.so...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/gecko-mediap layer.xpt...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/gecko-mediap layer-dvx.so...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/nswrapper_32 _32.libflashplayer.so...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/nswrapper_32 _32.libswfdecmozilla.so...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/gecko-mediap layer-wmp.xpt...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/libgnashplug in.so...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/libswfdecmoz illa.so...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/gecko-mediap layer.so...
INFO: Checking plugin installation /usr/lib/mozilla/plugins-wrapped/gecko-mediap layer-wmp.so...
INFO: Processing /usr/lib64/mozilla/plugins <- /usr/lib64/mozilla/plugins-wrappe d
WARNING: I can't open dir /usr/lib64/mozilla/plugins-wrapped
INFO: Processing /usr/lib/mozilla/plugins <- /usr/lib64/mozilla/plugins-wrapped
WARNING: I can't open dir /usr/lib64/mozilla/plugins-wrapped
[root@localhost linix]#

i will check your link.

cheers nick